Jump to content

Recommended Posts

Hi,

I was working on an imported Energia project in CCS when I was informed that a software update to CCS was available.  I installed the upgrade and restarted CCS in my project which now will not build.  Instead I get the message

"Buildfile generation error occurred..
Product 'energia.core' v18.0 is not currently installed and no compatible version is available. Please install this product or a compatible version.
Build stopped.."

My version of Energia is the latest (18).  Can anyone help please!

Thanks, Mark

Share this post


Link to post
Share on other sites

Couple questions:

  1. Which version of CCS do you have installed (Help->About Code Composer Studio)?
  2. Do you remember what part of CCS the update was for? Was it for CCS itself or for one of the MCU components?

Share this post


Link to post
Share on other sites

I've had intermittent problems with various versions of CCS and Energia in the past.  After seeing your post I updated my CCS to 7.4.0.00015 with no issues.  However, based on your reported error message, it's worth taking a moment to go to Window->Preferences->Code Composer Studio->Products to see if Energia is still installed.  Snap10.thumb.png.ff3d74e15c1aeeecf9aba17597df5897.png

Share this post


Link to post
Share on other sites

Hi All,

Many thanks for all your responses.

NurseBob, you were right on the money: Energia was not installed.  I re-installed it and everything is now working as it should.

Many thanks!

Mark

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...